import java.io.File;
import java.io.FileReader;
import java.io.IOException;

public class Driver {
	public static void main(String[] args) throws IOException {
		File f = new File(args[0]);
		FileReader fr = new FileReader(f);
		Scanner scan = new ScannerJF(fr);
		Parser parser = new Parser(scan);
		Tree arvore = parser.parse();
		arvore.printDot(f.getPath() + ".gv");
		System.out.println(arvore.toString());
	}
}
